> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read dataset content as csv or jsonl

> Export dataset content



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v1/datasets/{dataset_id}/export
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/datasets/{dataset_id}/export:
    get:
      tags:
        - datasets
      summary: Read dataset content as csv or jsonl
      description: Export dataset content
      operationId: export_dataset_v1_datasets__dataset_id__export_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: format
          in: query
          required: true
          schema:
            type: string
            description: 'Export format: csv or jsonl'
            title: Format
          description: 'Export format: csv or jsonl'
        - name: columns
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Comma-separated list of columns to export, optional
            title: Columns
          description: Comma-separated list of columns to export, optional
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Limit the number of rows to export, optional
            title: Limit
          description: Limit the number of rows to export, optional
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````